> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Appointment Volume

> Returns an appointment volume (peak exam) report for the specified install.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/installs/{installSid}/reports/appointmentVolume
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/reports/appointmentVolume:
    get:
      tags:
        - Reports
      summary: Appointment Volume
      description: >-
        Returns an appointment volume (peak exam) report for the specified
        install.
      operationId: getV1InstallsInstallsidReportsAppointmentvolume
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Install Sid
            pattern: ^AI[a-f0-9]{32}$
          description: Install Sid
          required: true
        - name: courseOfferingSid
          in: query
          schema:
            type: string
            description: Course Offering Sid
            pattern: ^CO[a-f0-9]{32}$
          description: Course Offering Sid
        - name: courseSid
          in: query
          schema:
            type: string
            description: Course Sid
            pattern: ^CU[a-f0-9]{32}$
          description: Course Sid
        - name: examSid
          in: query
          schema:
            type: string
            description: Exam sid
            pattern: ^EX[a-f0-9]{32}$
          description: Exam sid
        - name: appointmentDateRangeStart
          in: query
          schema:
            type: string
            description: Appointment Date Range Start
            example: '1970-01-01T00:00:00.000Z'
            pattern: .*Z
            x-format:
              isoDate: true
          description: Appointment Date Range Start
        - name: appointmentDateRangeEnd
          in: query
          schema:
            type: string
            description: Appointment Date Range End
            example: '1970-01-01T00:00:00.000Z'
            pattern: .*Z
            x-format:
              isoDate: true
          description: Appointment Date Range End
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppointmentVolumeReportResponse'
components:
  schemas:
    AppointmentVolumeReportResponse:
      type: object
      properties:
        dayOfWeek:
          $ref: '#/components/schemas/dayOfWeek'
        perHour:
          $ref: '#/components/schemas/perHour'
        perDay:
          $ref: '#/components/schemas/perDay'
    dayOfWeek:
      type: array
      items:
        $ref: '#/components/schemas/Model24'
    perHour:
      type: array
      items:
        $ref: '#/components/schemas/Model25'
    perDay:
      type: array
      items:
        $ref: '#/components/schemas/Model26'
    Model24:
      type: object
      nullable: true
      properties:
        day:
          type: string
          nullable: true
        volume:
          type: number
          nullable: true
    Model25:
      type: object
      nullable: true
      properties:
        hour:
          type: number
          nullable: true
        volume:
          type: number
          nullable: true
    Model26:
      type: object
      nullable: true
      properties:
        day:
          type: string
          nullable: true
        volume:
          type: number
          nullable: true
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````